Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.service
Interface ReportJobsScheduler

All Known Implementing Classes:
  ReportJobsQuartzScheduler

    public interface ReportJobsScheduler

Version:
  $Id: ReportJobsScheduler.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`void` | `addReportSchedulerListener(ReportSchedulerListener listener)`
`ReportJobRuntimeInformation[]` | `getJobsRuntimeInformation(ExecutionContext context, long[] jobIds)`
`void` | `removeReportSchedulerListener(ReportSchedulerListener listener)`
`void` | `removeScheduledJob(ExecutionContext context, long jobId)`
`void` | `rescheduleJob(ExecutionContext context, ReportJob job)`
`void` | `scheduleJob(ExecutionContext context, ReportJob job)`
`void` | `validate(ReportJob job, ValidationErrors errors)`

Method Detail

### scheduleJob

    void scheduleJob(ExecutionContext context,
                     ReportJob job)

### rescheduleJob

    void rescheduleJob(ExecutionContext context,
                       ReportJob job)

### removeScheduledJob

    void removeScheduledJob(ExecutionContext context,
                            long jobId)

### addReportSchedulerListener

    void addReportSchedulerListener(ReportSchedulerListener listener)

### removeReportSchedulerListener

    void removeReportSchedulerListener(ReportSchedulerListener listener)

### getJobsRuntimeInformation

    ReportJobRuntimeInformation[] getJobsRuntimeInformation(ExecutionContext context,
                                                            long[] jobIds)

### validate

    void validate(ReportJob job,
                  ValidationErrors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.